﻿
Option Strict On : Option Explicit On : Option Compare Binary : Option Infer On

Imports System
Imports System.Collections.ObjectModel
Imports System.Text.RegularExpressions

Namespace Code.Coloriser

    ''' <summary>
    ''' Default code coloriser for Java
    ''' </summary>
    ''' <remarks></remarks>
    Friend Class JavaCodeColoriser
        Inherits CCodeColoriser

        'Sub New()
        '    Me.Keywords = New String() {"abstract", "boolean", "break", "byte", "case", "catch", "char", "class", "const", "continue", _
        '                                "default", "do", "double", "else", "extends", "false", "final", "finally", "float", "for", "goto", _
        '                                "if", "implements", "import", "instanceof", "int", "interface", "long", "native", "new", _
        '                                "null", "package", "private", "protected", "public", "return", "short", "static", "super", _
        '                                "switch", "synchronized", "this", "throw", "throws", "transient", "true", "try", "void", _
        '                                "volatile", "while"}

        '    Me.m_stringOrCharRegexStr = "("".*?"")|('.*?')"
        '    Me.m_commentRegexStr = "//.*|/\*.*?\*/"
        'End Sub


        Protected Overrides ReadOnly Property Keywords() As String
            Get
                Return "abstract boolean break byte case catch char class const continue " _
                & "default do double else extends false final finally float for goto " _
                & "if implements import instanceof int interface long native new " _
                & "null package private protected public return short static super " _
                & "switch synchronized this throw throws transient true try void " _
                & "volatile while"
            End Get
        End Property

    End Class

End Namespace