﻿
Option Strict On : Option Explicit On : Option Compare Binary : Option Infer On

Imports System
Imports System.Collections.ObjectModel
Imports System.Text.RegularExpressions


Namespace Code.Coloriser

    ''' <summary>
    ''' Default code coloriser for Javascript
    ''' </summary>
    ''' <remarks></remarks>
    Friend Class JavascriptCodeColoriser
        Inherits CCodeColoriser

        Protected Overrides ReadOnly Property Keywords() As String
            Get
                Return "var function abstract as base bool break byte case catch char " _
                & "checked class const continue decimal default delegate do double else " _
                & "enum event explicit extern false finally fixed float for foreach goto " _
                & "if implicit in int interface internal is lock long namespace new null " _
                & "object operator out override params private protected public readonly " _
                & "ref return sbyte sealed short sizeof stackalloc static string struct " _
                & "switch this throw true try typeof uint ulong unchecked unsafe ushort " _
                & "using virtual void while"
            End Get
        End Property


        Protected Overrides ReadOnly Property Preprocessors() As String
            Get
                Return "@\w*"
            End Get
        End Property

    End Class

End Namespace
