
Option Strict On : Option Explicit On : Option Compare Binary : Option Infer On

Imports System
Imports System.Collections.ObjectModel
Imports System.Text.RegularExpressions


Namespace Code.Coloriser

    ''' <summary>
    ''' Default code coloriser for XML
    ''' </summary>
    ''' <remarks></remarks>
    Friend Class XmlCodeColoriser
        Inherits IColorTokenProvider

        Sub New()
            'Me.keywords = New String() {}
            'Me.m_stringOrCharRegexStr = ""
            'Me.m_commentRegexStr = ""
        End Sub


        Public Overrides ReadOnly Property CaseSensitive() As Boolean
            Get
                Return MyBase.CaseSensitive
            End Get
        End Property


        Protected Overrides ReadOnly Property CommentRegexStr() As String
            Get
                Return ""
            End Get
        End Property


        Protected Overrides ReadOnly Property StringOrCharRegexStr() As String
            Get
                Return ""
            End Get
        End Property


        Protected Overrides ReadOnly Property Keywords() As String
            Get
                Return ""
            End Get
        End Property


        Protected Overrides ReadOnly Property Preprocessors() As String
            Get
                Return MyBase.Preprocessors
            End Get
        End Property

    End Class

End Namespace



