﻿
Option Strict On : Option Explicit On : Option Compare Binary : Option Infer On


Namespace Code

    ''' <summary>
    ''' Code elements 
    ''' </summary>
    ''' <remarks></remarks>
    Public Enum CodeElement

        ''' <summary>
        ''' Normal code
        ''' </summary>
        ''' <remarks>0000</remarks>
        NormalCode = 0

        ''' <summary>
        ''' Keyword element in the code
        ''' </summary>
        ''' <remarks>0001</remarks>
        Keyword = 1

        ''' <summary>
        ''' Preprocessor element in the code
        ''' </summary>
        ''' <remarks>0010</remarks>
        Preprocessor = 2

        ''' <summary>
        ''' String or char element in the code
        ''' </summary>
        ''' <remarks>0100</remarks>
        StringOrChar = 4

        ''' <summary>
        ''' Comment in the code 
        ''' </summary>
        ''' <remarks>1000</remarks>
        Comment = 8
    End Enum

End Namespace